# coding: utf-8

from __future__ import absolute_import
import os, shutil, tempfile

from pandas import read_hdf
from pandas.testing import assert_frame_equal

from jass.models.plots import create_global_plot

from . import JassTestCase


class TestPlots(JassTestCase):

    test_folder = "data_test1"

    def setUp(self):
        # Create a temporary directory
        self.test_dir = tempfile.mkdtemp()
        self.worktable_hdf_path = self.get_file_path_fn("worktable.hdf5")
        self.global_plot_path = os.path.join(self.test_dir, "global_manhattan.png")

    def tearDown(self):
        # Remove the directory after the test
        shutil.rmtree(self.test_dir)
        pass

    def test_create_global_plot(self):
        """
        Compare result and expected SumStatJostTab
        """
        create_global_plot(self.worktable_hdf_path, self.global_plot_path)


if __name__ == "__main__":
    import unittest

    unittest.main()
